<?php
/* 
Functions WPMU Global Search
Author: Alicia García Holgado
*/

function wpmu_globalsearch_form($page) {
    echo '<form class="wpmusearchform" method="get" action="'.get_bloginfo('url').'/'.$page.'/">'
    .'<div>'
    .'<p>'.__('Search across all blogs', 'wpmu-global-search').'</p><br />'
    .'<input class="s" name="uws" type="text" value="'.'" size="16" tabindex="1" />'
    .' <input type="submit" class="button" value="'.__('Search', 'wpmu-global-search').'" tabindex="2" />'
    .'</div>'
    .'</form>';
}

function wpmu_globalsearch_horizontal_form($page) {
    echo '<form class="wpmusearchform" method="get" action="'.get_bloginfo('url').'/'.$page.'/">'
    .'<div>'
    .__('Search across all blogs', 'wpmu-global-search').'  '
    .'<input class="s" name="uws" type="text" value="'.'" size="16" tabindex="1" />'
    .' <input type="submit" class="button" value="'.__('Search', 'wpmu-global-search').'" tabindex="2" />'
    .'</div>'
    .'</form>';
}

function wpmu_globalsearch_get_search_query() {
	return apply_filters( 'get_search_query', stripslashes( get_query_var( 'uws' ) ) );
}

function wpmu_globalsearch_get_the_content($s) {
    $content = $s->post_content;
    apply_filters('the_content', $content);

    $output = '';
    if ( post_password_required($s) ) {
		$label = 'pwbox-'.(empty($s->ID) ? rand() : $s->ID);
        $output = '<form action="' . get_blog_option($s->ID, 'siteurl') . '/wp-pass.php" method="post">
        <p>' . __("This post is password protected. To view it please enter your password below:") . '</p>
        <p><label for="' . $label . '">' . __("Password:") . ' <input name="post_password" id="' . $label . '" type="password" size="20" /></label> <input type="submit" name="Submit" value="' . __("Submit") . '" /></p>
        </form>
        ';
        return apply_filters('the_password_form', $output);
	}

    return $content;
}

function wpmu_globalsearch_get_edit_link($s, $link = 'Edit This', $before = '', $after = '') {
    if ( $s->post_type == 'page' ) {
		if ( !current_user_can( 'edit_page', $s->ID ) )
			return;
	} else {
		if ( !current_user_can( 'edit_post', $s->ID ) )
			return;
	}

    $context = 'display';
	switch ( $s->post_type ) :
	case 'page' :
		if ( !current_user_can( 'edit_page', $s->ID ) )
			return;
		$file = 'page';
		$var  = 'post';
		break;
	case 'attachment' :
		if ( !current_user_can( 'edit_post', $s->ID ) )
			return;
		$file = 'media';
		$var  = 'attachment_id';
		break;
	case 'revision' :
		if ( !current_user_can( 'edit_post', $s->ID ) )
			return;
		$file = 'revision';
		$var  = 'revision';
		$action = '';
		break;
	default :
		if ( !current_user_can( 'edit_post', $s->ID ) )
			return;
		$file = 'post';
		$var  = 'post';
		break;
	endswitch;

	$editlink = apply_filters( 'get_edit_post_link', 'http://'.$s->domain.$s->path.'wp-admin/'.$file.'.php?action=edit&amp;'.$var.'='.$s->ID, $s->ID, $context );
    
    $link = '<a class="post-edit-link" href="' . $editlink . '" title="' . attribute_escape( __( 'Edit post' ) ) . '">' . $link . '</a>';
	return $before . apply_filters( 'edit_post_link', $link, $s->ID ) . $after;
}

function wpmu_globalsearch_get_comments_link($s, $zero = 'No Comments', $one = '1 Comment', $more = '% Comments', $css_class = '', $none = 'Comments Off' ) {
    global $wpcommentsjavascript, $wpcommentspopupfile;

	$number = $s->comment_count;

	if ( 0 == $number && 'closed' == $s->comment_status && 'closed' == $s->ping_status ) {
		echo '<span' . ((!empty($css_class)) ? ' class="' . $css_class . '"' : '') . '>' . $none . '</span>';
		return;
	}

	if ( post_password_required() ) {
		echo __('Enter your password to view comments');
		return;
	}

	echo '<a href="';
	if ( $wpcommentsjavascript ) {
		if ( empty( $wpcommentspopupfile ) )
			$home = get_blog_option($s->blog_id, 'home');
		else
			$home = get_blog_option($s->blog_id, 'siteurl');
		echo $home . '/' . $wpcommentspopupfile . '?comments_popup=' . $s->ID;
		echo '" onclick="wpopen(this.href); return false"';
	} else { // if comments_popup_script() is not in the template, display simple comment link
		if ( 0 == $number )
			echo get_blog_permalink( $s->blog_id, $s->ID ) . '#respond';
		else
			echo get_blog_permalink( $s->blog_id, $s->ID ) . '#comments';
		echo '"';
	}

	if ( !empty( $css_class ) ) {
		echo ' class="'.$css_class.'" ';
	}
	$title = attribute_escape( $s->post_title );

	echo apply_filters( 'comments_popup_link_attributes', '' );

	echo ' title="' . sprintf( __('Comment on %s'), $title ) . '">';
    if ( $number > 1 )
		$output = str_replace('%', number_format_i18n($number), ( false === $more ) ? __('% Comments') : $more);
	elseif ( $number == 0 )
		$output = ( false === $zero ) ? __('No Comments') : $zero;
	else // must be one
		$output = ( false === $one ) ? __('1 Comment') : $one;

	echo apply_filters('comments_number', $output, $number);
	echo '</a>';
}
?>
